#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 primitive-extras
version:              0.10.2.2
visibility:           public
id:                   primitive-extras-0.10.2.2-Hx0GoZY8Pa6BxHj971S9CE
key:                  primitive-extras-0.10.2.2-Hx0GoZY8Pa6BxHj971S9CE
license:              MIT
copyright:            (c) 2018, Metrix.AI
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/primitive-extras
synopsis:             Extras for the "primitive" library
description:
    Raw collection of extra utiltilies for the "primitive" library.

category:             Primitive
abi:                  6133aedf3bc53978df19f5849769133e
exposed:              True
exposed-modules:
    PrimitiveExtras.Bitmap PrimitiveExtras.By6Bits
    PrimitiveExtras.PrimArray PrimitiveExtras.PrimMultiArray
    PrimitiveExtras.SmallArray PrimitiveExtras.UnliftedArray

hidden-modules:
    PrimitiveExtras.FoldMs PrimitiveExtras.Folds
    PrimitiveExtras.Prelude PrimitiveExtras.Types

import-dirs:          /usr/lib/ghc-9.4.8/site-local/primitive-extras-0.10.2.2
library-dirs:         /usr/lib/ghc-9.4.8/site-local/primitive-extras-0.10.2.2
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/primitive-extras-0.10.2.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-primitive-extras
hs-libraries:         HSprimitive-extras-0.10.2.2-Hx0GoZY8Pa6BxHj971S9CE
depends:
    base-4.17.2.1 bytestring-0.11.5.3
    cereal-0.5.8.3-H9MXf6i1TMkEAfnsx4oYbT
    deferred-folds-0.9.18.7-6jbVGeYm21M2OjZSEDkWP8
    focus-1.0.3.2-GCQU8af7GBEJs2maXx1nKT
    foldl-1.4.17-B7ocd5nOChs22ZtasWnMtY
    list-t-1.0.5.5-9OAmIXcZueqLCfKz1mhynG
    primitive-0.8.0.0-7hRrrVot93LKTsSUGSTocq
    primitive-unlifted-0.1.3.1-9DSARU4tA6uBLHivQ9LxSV
    profunctors-5.6.2-LJDcUqkrAVyKPBPzv6byyz
    vector-0.13.1.0-GCmMsLcrTyFGJ15LkY6umX

haddock-interfaces:
    /usr/share/doc/haskell-primitive-extras/html/primitive-extras.haddock

haddock-html:         /usr/share/doc/haskell-primitive-extras/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

